/* Layout */
import Layout from '@/layout'

// 授权管理页面
const authRoutes = [
  {
    path: '/auth',
    component: Layout,
    alwaysShow: true,
    redirect: '/auth/list',
    name: 'Auth',
    meta: {
      title: '授权管理',
      icon: 'el-icon-s-promotion',
      roles: ['admin', 'normal'],
      noCache: true,
      proxy: true,
      id: 1
    },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/auth/index'),
        name: 'AuthList',
        meta: {
          title: '授权列表',
          icon: 'el-icon-menu',
          roles: ['admin', 'normal'],
          affix: true,
          noCache: true,
          proxy: true,
          id: 2
        }
      }
    ]
  }
]

export default authRoutes
