/* Layout */
import Layout from '@/layout'

// 授权管理页面
const heloperRoutes = [
  {
    path: '/helper',
    component: Layout,
    alwaysShow: true,
    redirect: '/helper/video',
    name: 'Helper',
    meta: {
      title: '新手帮助',
      icon: 'el-icon-s-promotion',
      roles: ['admin', 'normal'],
      noCache: true,
      proxy: true,
      id: 16
    },
    children: [
      {
        path: 'video',
        component: () => import('@/views/authentic/helper/video'),
        name: 'HelperVideo',
        meta: {
          title: '视频教程',
          icon: 'el-icon-menu',
          roles: ['admin', 'normal'],
          affix: false,
          noCache: true,
          proxy: false,
          id: 17
        }
      },
      {
        path: 'document',
        component: () => import('@/views/authentic/helper/document'),
        name: 'HelperDocument',
        meta: {
          title: '文档教程',
          icon: 'el-icon-menu',
          roles: ['admin', 'normal'],
          affix: false,
          noCache: true,
          proxy: false,
          id: 18
        }
      }
    ]
  }
]

export default heloperRoutes
